import {FlatList, Text, View} from "react-native";
import React from "react";
import HeaderProfileComponent from "@/components/HeaderProfileComponent";
import Screen from "@/components/ui/Screen";
import WorkoutCardComponent from "@/components/WorkoutCardComponent";
import {useSession} from "@/ctx";
import {Workout} from "@/model/Workout";

export default function ExerciceScreen() {
    const [text, onChangeText] = React.useState("");
    const exercise = [new Workout("Développé couché",  25,"8 Series Workout", 412, "assets/images/Sigma-2.png","Intense" ),
    new Workout("Curl halterné", 30, "8 Series Workout", 342,  "assets/images/Sigma.jpg","Medium" ),
        new Workout("Tirage Vertival", 29, "8 Series Workout", 793,  "assets/images/Sigma.jpg","Easy" )];

    return (
        <Screen>
            <FlatList
                ListHeaderComponent={
                    <>
                        <View>
                            <HeaderProfileComponent/>
                        </View>
                        <View className="mt-4">
                            <View className="flex-row justify-between items-center mb-4">
                                <Text className="text-lg font-bold text-black">Séance du jour</Text>
                            </View>
                        </View>
                    </>
                }
                data={exercise}
                className="h-full"
                renderItem={({ item }: { item: Workout }) =>
                    <View className="mt-2 h-52">
                    <WorkoutCardComponent exercise={item}/>
                </View>
            }
            />
        </Screen>
    );
}