export type Size = "xs" | "md" | "lg" | "xl" | "2xl" | "3xl";
export type Color = "black" | "white" | "orange" | "red";
export type Weight = "thin" | "normal" | "bold" | "extrabold";
export type Position = "left" | "center" | "right";

export function toTextSize(size: Size): string {
  switch (size) {
    case "xs":
      return "text-xs";
    case "md":
      return "text-md";
    case "lg":
      return "text-lg";
    case "xl":
      return "text-xl";
    case "2xl":
      return "text-2xl";
    case "3xl":
      return "text-3xl";
  }
}

export function toTextColor(color: Color): string {
  switch (color) {
    case "black":
      return "text-black";
    case "white":
      return "text-white";
    case "orange":
      return "text-orange-500";
    case "red":
      return "text-red-500";
  }
}

export function toTextWeight(weight: Weight): string {
  switch (weight) {
    case "thin":
      return "font-thin";
    case "normal":
      return "font-normal";
    case "bold":
      return "font-bold";
    case "extrabold":
      return "font-extrabold";
  }
}

export function toTextPosition(position: Position): string {
  switch (position) {
    case "left":
      return "text-left";
    case "center":
      return "text-center";
    case "right":
      return "text-right";
  }
}
