import { View, ViewProps } from "react-native";
import { SafeAreaView } from "react-native-safe-area-context";
import React from "react";

export default React.forwardRef<any, ViewProps>(
  (props, ref): React.ReactElement => {
    const { children, ...rest } = props;
    return (
      <SafeAreaView className={"h-full p-4"} {...ref} {...rest}>
        <View>{children}</View>
      </SafeAreaView>
    );
  }
);
